'use strict';

angular.module('adf.widget.electre.lavoisier')
.controller('lavoisierGeneriqueEditCtrl',
    [
        "$scope", "$controller", "config", "CONTROLLER_TYPE",
        function ($scope, $controller, config, CONTROLLER_TYPE) {
            $controller('lavoisierBaseEditCtrl', {
                $scope : $scope,
                config : config
            });

            switch (config.type) {
                case CONTROLLER_TYPE.iFrame:
                    $controller('lavoisierIFrameEditCtrl', {
                        $scope : $scope,
                        config : config
                    });
                    break;
                case CONTROLLER_TYPE.table:
                    $controller('lavoisierTableEditCtrl', {
                        $scope : $scope,
                        config : config
                    });
                    break;
                case CONTROLLER_TYPE.text:
                    $controller('lavoisierTextEditCtrl',
                        {
                            $scope : $scope,
                            config : config
                        }
                    );
                    break;
                case CONTROLLER_TYPE.chart:
                    $controller('lavoisierChartEditCtrl',
                        {
                            $scope : $scope,
                            config : config
                        }
                    );
                    break;
                case CONTROLLER_TYPE.html:
                default:
                    break;
            }
        }
    ]
);